//** Import css library **//
@import url('https://fonts.googleapis.com/css?family=Montserrat:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i');
@import url('https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i');
@import url('https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i');
@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i,800,800i');
@import url(../node_modules/bootstrap/dist/css/bootstrap.min.css);
@import url(../node_modules/font-awesome/css/font-awesome.min.css);
@import url(../node_modules/owl.carousel/dist/assets/owl.carousel.min.css);
@import url(../node_modules/owl.carousel/dist/assets/owl.theme.default.min.css);
//** Default css **//
$bg-gray: #f7f7f7;
$main-yellow:#f3b722;
$active-breadcum:#f6a5c1;
$main-color: #e91e63;
$main-color-pink :brightness(0.5) sepia(1.5) hue-rotate(-70deg) saturate(5);
$content-color : #CA6971;
$content-color-default : #969696;
$text-color : #25292C;
$text-color-breadcum : #fff;
$nunito-font : 'Nunito', sans-serif;
$roboto-font : 'Roboto', sans-serif;
$opensans-font : 'Open Sans', sans-serif;
$header-font : 'Montserrat', sans-serif;
$main-font : 'Montserrat', sans-serif;
$content-font : 'Montserrat', sans-serif;
$lato-font : 'Lato', sans-serif;

.main-color{
    background-color: $main-color !important;
}
.main-yellow{
    background-color: $main-yellow !important;
    border: 1px solid white;
}
.main-text-color{
    color: #CA6971;
}
.content-color{
    color: $content-color;
}
.content-color-default{
    color: $content-color-default;
}
.header-font{
    font-family: $header-font;
    color: $text-color;
}
.header-color{
    color: $main-color;
}
.price-main-color{
    color: $main-color;
    font-weight: bold !important;
}
.text-color{
    color: $text-color;
}
.content-font{
    font-family: $header-font;
    font-size: 14px;
    &:hover{
        a{
            color: $main-color !important;
            transition: all 0.25s;
        }
    }
}
.no-scroll{
    overflow: hidden;
}
.search-sticky{
    margin: 0 auto;
}
.slow-layer{
    z-index: 1010;
}
.show{
    visibility: visible !important;
}
.hide{
    visibility: hidden;
}
.flex-display{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.block-overlay{
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    background-color: transparent;
    transition: all 0.2s;
}
.over{
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1025;
    transition: all 0.2s;
}
body {
    background: white;
    font-family: 'Montserrat', sans-serif;
    &::-webkit-scrollbar-track
    {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.1);
        background-color: #F5F5F5;
    }

    &::-webkit-scrollbar
    {
        width: 8px;
        background-color: #F5F5F5;
    }

    &::-webkit-scrollbar-thumb
    {
        background-color: $content-color-default;
        border: none;
    }
}


.rating {
    display: inline-block;
    .form-group {
        margin: auto;
        display: inline-block;
        input.star {
            display: none;
        }
        label.star {
            float: right;
            margin: 0 4px;
            font-size: 20px;
            color: #969696;
            transition: all .2s;
        }
        input.star:checked~label.star:before {
            content: '\f005';
            color: #969696;
            transition: all .25s;
        }
        input.star-5:checked~label.star:before {
            color: #969696;
            text-shadow: 0 0 20px #969696;
        }
        input.star-1:checked~label.star:before {
            color: $content-color;
        }
        label.star:hover {
            transform: rotate(-15deg) scale(1.3);
        }
        label.star:before {
            content: '\f006';
            font-family: FontAwesome;
        }
    }
}

// code css header
// 

// css footer
.block-footer{
    padding: 45px 0 0 0;
    background: #f7f7f7;
    .top-ft{
        background-color: #fff;
        padding: 40px 0;
        .ft-main{
            display: grid;
            grid-template-columns: 30% 20% 30% 20%;
            justify-content: space-between;
            flex-direction: row;
            .ft-item{
                .widget-footer{
                    .logo-ft{
                        margin-bottom: 20px;
                    }
                    .contact-item{
                        font-family: 'Open Sans', sans-serif;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 25px;
                        letter-spacing: 0.01em;
                        color: $content-color-default;
                        margin-bottom: 5px;
                        span{
                            float: left;
                            display: block;
                            width: 25%;
                        }
                        a{
                            display: block;
                            white-space: normal;
                            overflow: hidden;
                            font-family: 'Open Sans', sans-serif;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 20px;
                            letter-spacing: 0.01em;
                            color: $content-color-default;
                            transition: all 0.25s;
                            &:hover{
                                color: $main-color;
                                transition: all 0.25s;
                            }
                        }
                    }
                    h5{
                        font-style: normal;
                        font-weight: 600;
                        font-size: 16px;
                        line-height: 23px;
                        letter-spacing: 0.01em;
                        text-transform: uppercase;
                        color: $text-color;
                        margin-bottom: 30px;
                    }
                    ul{
                        margin: 0;
                        padding: 0;
                        list-style: none;
                        li{
                            a{
                                font-style: normal;
                                font-weight: normal;
                                font-size: 14px;
                                line-height: 20px;
                                text-decoration: none;
                                color: $content-color-default;
                                display: block;
                                margin-bottom: 15px;
                                transition: all 0.25s;
                                &:hover{
                                    color: $main-color;
                                    transition: all 0.25s;
                                }
                            }
                        }
                    }
                    .new-eclipse{
                        li{
                            a{
                                width: 250px;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }
                        }
                    }
                    span{
                        display: block;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 20px;
                        font-family: $header-font;
                        color: $content-color-default;
                    }
                    form {
                        margin-bottom: 20px;
                        .form-group{
                            position: relative;
                            background: #F9FAFB;
                            margin: 0;
                            /* border */
                            height: 48px;
                            border: 1px solid #E9E9E9;
                            box-sizing: border-box;
                            border-radius: 3px;
                            display: flex;
                            width: 100%;
                            align-items: flex-end;
                            .btn-submit{
                                position: absolute;
                                top: 6px;
                                right: 6px;
                                bottom: 6px;
                                background: $main-color;
                                border-radius: 4px;
                                font-family: $header-font;
                                font-style: normal;
                                font-weight: normal;
                                font-size: 14px;
                                line-height: normal;
                                color: #FFFFFF;
                                outline: none;
                                box-shadow: none;
                            }
                            // label{
                            //     margin: 0;
                            //     font-family: $header-font;
                            //     font-style: normal;
                            //     font-weight: normal;
                            //     font-size: 12px;
                            //     line-height: 18px;
                            //     color: #969696;
                            //     position: absolute;
                            //     top: 5px;
                            //     left: 10px;
                            // }
                            // .form-control{
                            //     border: none;
                            //     background-color: transparent;
                            //     outline: none;
                            //     box-shadow: none;
                            //     padding: 2px 10px;
                            //     padding-right: 65px;
                            //     height: 55%;
                            //     font-family: $header-font;
                            //     font-style: normal;
                            //     font-weight: normal;
                            //     font-size: 14px;
                            //     line-height: 22px;

                            //     color: #000000;
                            // }

                            .input-item {
                                position: relative;
                                height: 48px;
                                width: 100%;
                            }
                            label {
                                position: absolute;
                                top: 50%;
                                transform: translateY(-50%);
                                left: 10px;
                                font-style: normal;
                                font-weight: normal;
                                font-size: 12px;
                                line-height: 17px;
                                transition: 0.2s all;
                                cursor: text;
                                color: #949494;
                            }
                            input {
                                width: 100%;
                                font-style: normal;
                                font-weight: normal;
                                font-size: 14px;
                                line-height: 17px;
                                color: #3F4755;
                                padding-top: 18px;
                                padding-left: 10px;
                                padding-right: 10px;
                                height: 100%;
                                width: 100%;
                                background: white;
                                outline: none;
                                box-shadow: none;
                                border: none;
                                box-sizing: border-box;
                                border-radius: 3px 0 0 3px;
                            }
                            input:invalid {
                                outline: 0;
                            }
                            input:focus,
                            input:valid {
                                // border-color: #00dd22;
                            }
                            input:focus~label,
                            input:valid~label {
                                top: 13px;
                            }
                        
                        } 
                        .active{
                            label{
                                top: 2px;
                            }
                        }   
                    }
                    .social{
                        display: inline-flex;
                        align-items: center;
                        span{
                            display: inline-block;
                            font-family: $header-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 25px;
                            margin-right: 15px;
                            color: #637381;
                        }
                        ul{
                            margin: 0;
                            padding: 0;
                            list-style: none;
                            li{
                                display: inline-block;
                                margin-right: 20px;
                                a{
                                    margin: 0;
                                    &:hover{
                                        svg{
                                            path{
                                                fill: $main-color;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    
    .copy-right{
        margin-top: 15px;
        background-color: #f7f7f7;
        padding: 15px 0 35px;
        font-family: 'Open Sans', sans-serif;
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 23px;
        letter-spacing: 0.01em;
        color:$text-color;
        a{
            text-decoration: none;
            color: $main-color;
            transition: all 0.25s;
            &:hover{
                color: $main-color;
                transition: all 0.25s;
            }
        }
        .social-ft{
            margin-bottom: 15px;
            a{
                margin: 0;
                &:hover{
                    svg{
                        path{
                            fill: $main-color;
                        }
                    }
                }
            }
        }
    }
}

// block head title
.block-favorite{
    margin-top: 45px;
}
.block-head{
    margin-bottom: 60px;
    h3{
        text-align: center;
        font-size: 24px;
        margin: 0;
        text-transform: uppercase;
        position: relative;
        &::after{
            content: "";
            position: absolute;
            background: url(../images/title.png) no-repeat;
            background-size: inherit;
            z-index: 1;
            width: 60px;
            height: 20px;
            bottom: -60px;
            top: 0;
            left: 0;
            right: 0;
            margin: auto;
            }
    }
} 
// end block title 
.banner-ads-img{
    margin: 40px 0;
    .banner-product-item{
        position: relative;
        &::before{
            content: '';
            position: absolute;
            top: 0px;
            left: 0px;
            bottom: 0px;
            right: 0px;
            border: solid 1px transparent;    
            z-index: 1;
            transition: all 0.23s;
        }
        display: block;
        .thumb{
            overflow: hidden;
            img{
                width: 100%;
            }
        }
        .content-item{
            display: flex;
            align-items: center;
            position: absolute;
            top: 20px;
            left: 20px;
            bottom: 20px;
            right: 20px;
            z-index: 2;
                h4{
                    font-family: $roboto-font;
                    color: $text-color;
                    // margin-bottom: 20px;
                    font-size: 20px;
                    span{
                        display: block;
                        color: $main-color;
                    }
                    .top{
                        font-weight: 400;
                        margin-bottom: 5px;
                    }
                    .botom{
                        font-weight: 800;
                    }
                }
                h5{
                    font-family: $lato-font;
                    color: $text-color;
                    margin-bottom: 20px;
                    font-size: 18px;
                    span{
                        display: block;
                    }
                    .top{
                        font-weight: 400;
                        margin-bottom: 5px;
                    }
                    .botom{
                        font-weight: 800;
                    }
                }
                a{
                    color: $text-color;
                    font-size: 14px;
                    display: block;
                    text-decoration: underline;
                }
        }
    }
    
}

// star rate 
.rating-ctn{
    .rate {
        display: inline-block;
        margin: 0;
        padding: 0;
        border: none;
      }
      
      input {
        display: none;
      }
      
      label {
        float: right;
        font-size: 0;
        color: #d9d9d9;
        margin-bottom: 0;
        line-height: 0;
      }
      
      label:before {
        content: "\f005";
        font-family: FontAwesome;
        font-size: 16px;
      }
      
      label:hover,
      label:hover ~ label {
        color: #fcd000;
        transition: 0.2s;
      }
      
      input:checked ~ label {
        color:$main-yellow;
      }
      
      input:checked ~ label:hover,
      input:checked ~ label:hover ~ label {
        color: $main-yellow;
        transition: 0.2s;
      }
      
      
      /* Half-star*/
      
      .star-half {
        position: relative;
      }
      
      .star-half:before {
        position: absolute;
        content: "\f089";
        padding-right: 0;
      }
}
// end star rate
// registor email
.block-registor-email{
    background-color: black;
    margin: 40px 0;
    .registor-email-ctn{
        display: grid;
        grid-template-columns: 50% 50%;
        padding: 2% 5%;
        @media only screen and (max-width: 520px) {
            grid-template-columns: 100%;

        }
        h5{
            font-style: normal;
            font-weight: normal;
            font-size: 20px;
            line-height: 29px;/* identical to box height */
            text-align: center;
            letter-spacing: 0.02em;
            text-transform: uppercase;
            color: white;
            // margin-bottom: 20px;
            top: 0;
            bottom: 0;
            right: 0;
            left: 0;
            margin: auto;
        }
        .form-regis{
            transform: translateY(13%);
            form {
                margin-bottom: 20px;
                .form-group{
                    display: flex;
                    .btn-submit{
                        background: white;
                        border-radius: 0 ;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: normal;
                        color: #d4b69f;
                        outline: none;
                        box-shadow: none;
                        white-space: nowrap;
                        padding: 0 20px;
                    }
                    .input-item {
                        position: relative;
                        height: 48px;
                        width: 100%;
                    }
                    label {
                        position: absolute;
                        top: 50%;
                        transform: translateY(-50%);
                        left: 10px;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        transition: 0.2s all;
                        cursor: text;
                        color: white;
                    }
                    input {
                        width: 100%;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        color: white;
                        padding-top: 18px;
                        padding-left: 10px;
                        padding-right: 10px;
                        height: 100%;
                        width: 100%;
                        background: black;
                        outline: none;
                        box-shadow: none;
                        border: 2px solid white;
                        box-sizing: border-box;
                        border-radius: 3px 0 0 3px;
                    }
                    input:invalid {
                        outline: 0;
                    }
                    input:focus,
                    input:valid {
                        // border-color: #00dd22;
                    }
                    input:focus~label,
                    input:valid~label {
                        top: 13px;
                    }
                } 
                .active{
                    label{
                        top: 2px;
                    }
                }   
            }
        }
        
    }
}

.owl-carousel{
    position: relative;
    .owl-stage-outer{
        .owl-stage{
            padding: 20px 0;
        }
    }
    .owl-nav{
        .owl-prev{
            position: absolute;
            top: 32%;
            left: -46px;
            width: 36px;
            height: 36px;
            background-color: #E9E9E9 !important;
            transform: translateY(-50%);
            border-radius: 50%;
            outline: none;
        }
        .owl-next{
            position: absolute;
            top: 32%;
            right: -46px;
            width: 36px;
            height: 36px;
            background-color: #E9E9E9 !important;
            transform: translateY(-50%);
            border-radius: 50%;
            outline: none;
        }
    }
}

.owl-banner{
    .owl-stage-outer{
        position: relative;
        .owl-stage{
            padding: 0 !important;
        }
    }
    .owl-dots{
        position: absolute;
        display: inline-flex;
        bottom: 15px;
        left: 50%;
        transform: translateX(-50%);
        .owl-dot{
            margin-right: 10px;
            width: 14px;
            height: 14px;
            // border-radius: 50%;
            background-color: transparent;
            border: solid 1px black;
            outline: none;
            box-shadow: none;
        }
        .active{
            background-color: black;
        }
    }
    .owl-nav{
        .owl-prev{
            position: absolute;
            top: 47%;
            left: 30px;
            width: 36px;
            height: 36px;
            background-color: transparent !important;
            border-left: solid 2px $main-color !important;
            border-top: solid 2px $main-color !important;
            transform: rotate(-45deg);
            outline: none;
            border-radius: 0;
            opacity: 0.5;
            span{
                display: none;
            }
            &:hover{
                opacity: 1;
            }
        }
        .owl-next{
            position: absolute;
            top: 47%;
            right: 30px;
            width: 36px;
            height: 36px;
            background-color: transparent !important;
            border-left: solid 2px $main-color !important;
            border-top: solid 2px $main-color !important;
            transform: rotate(135deg);
            outline: none;
            border-radius: 0;
            opacity: 0.5;
            span{
                display: none;
            }
            &:hover{
                opacity: 1;
            }
        }
    }
    .owl-item{
        .item{
            position: relative;
            text-align: left;
            .slide-detail-preview{
                padding-top: 25px;
                .season{
                    h6{
                        font-size: 10px;
                        letter-spacing: 5px;
                        text-transform: uppercase;
                    }
                }
                .product-banner-name{
                    h4{
                        font-family: $opensans-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 40px;
                        text-transform: uppercase;
                        line-height: 45px;
                        letter-spacing: 0.01em;
                        color: $main-color;
                    }
                }
                .descript{
                    p{
                        font-family: $opensans-font;
                        font-size: 18px;
                        color: $text-color;
                    }
                }
                .btn-submit{
                    height: 36px;
                min-width: 70px;
                background: $main-color;
                border-radius: 18px;
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;/* identical to box height */
                // text-transform: uppercase;

                color: #F9FAFB;
                }
                @media (max-width: 1024px) {
                    position: absolute;
                    width: 50%;
                    top: -39%;
                    bottom: 0;
                    margin: auto;
                    left: 0;
                    right: 0;
                    -webkit-transform: translate(-50%, 40%);
                    transform: translate(-30%, 32%);
                }
            }
            img{
                margin-left: auto;
                margin-right: auto;
                width: auto;
                max-width:  100%;
            }
            @media (max-width: 1920px) {
                // img{
                //     width: 100%;
                // }
            }
            
        }
    }
}
// .block-ads-big{
//     // height: 250px;
//     // background-image: url("../images/banner.png");
//     // background-size: 100% auto;
//     // background-position: bottom center;
//     // background-repeat: no-repeat;
//     // background-attachment: fixed;
// }


// Animation
@keyframes stickySlideDown {
    0% {
        opacity: 0.7;
        transform: translateY(-100%);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}


// POPUP
.close-btn {
    width: 40px;
    cursor: pointer;
}
.popup-search{
    .block-header-search{
        .form-group{
            margin: 0;
            position: relative;
            width: 100%;
            .btn-search{
                position: absolute;
                top: 0;
                right: 0;
                bottom: 0;
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                &:hover{
                    svg{
                        path{
                            stroke: $content-color;
                        }
                    }
                }
            }
            .form-control{
                outline: none;
                box-shadow: none;
                background-color: transparent;
                border: none;
                height: 48px;
                padding: 10px 24px;
                background: #F9FAFB;
                /* border */
                border: 1px solid #E9E9E9;
                box-sizing: border-box;
                border-radius: 24px;
                &::placeholder{
                    color: $content-color-default;
                    font-family: $content-font;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: normal;
                }
                &:focus{
                    border-color: $content-color;
                }
            }
            
        }
    }
}
#modal-container {
    position: fixed;
    display: table;
    // display: block;
    overflow-y: auto;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
    z-index: 1025;

    .modal-control {
        position: absolute;
        top: 2%;
        left: 0;
        right: 0;
        z-index: 999999;
    }

    .modal-background {
        display: table-cell;
        // display: block;
        /* height: 100%; */
        background: rgba(0, 0, 0, 0.8);
        text-align: center;
        vertical-align: middle;

        .modal {
            height: auto;
            padding: 10px 12px;
            background-color: white;
            display: inline-block;
            font-weight: 300;
            position: relative;
            max-width: 500px;
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            border-radius: 0;
        }
    }
}

#modal-container.one {
    -webkit-transform: scaleY(0.01) scaleX(0);
    transform: scaleY(0.01) scaleX(0);
    -webkit-animation: unfoldIn 1s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: unfoldIn 1s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.one .modal-background .modal {
    -webkit-transform: scale(0);
    transform: scale(0);
    -webkit-animation: zoomIn 0.5s 0.8s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: zoomIn 0.5s 0.8s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.one.out {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-animation: unfoldOut 1s 0.3s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: unfoldOut 1s 0.3s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.one.out .modal-background .modal {
    -webkit-animation: zoomOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: zoomOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six {
    -webkit-transform: scale(1);
    transform: scale(1);
}

#modal-container.six .modal-background {
    background: rgba(0, 0, 0, 0);
    -webkit-animation: fadeIn 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: fadeIn 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six .modal-background .modal {
    background-color: transparent;
    -webkit-animation: modalFadeIn 0.5s 0.8s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: modalFadeIn 0.5s 0.8s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six .modal-background .modal h2,
#modal-container.six .modal-background .modal p {
    opacity: 0;
    position: relative;
    -webkit-animation: modalContentFadeIn 0.5s 1s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: modalContentFadeIn 0.5s 1s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six .modal-background .modal .modal-svg rect {
    -webkit-animation: sketchIn 0.5s 0.3s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: sketchIn 0.5s 0.3s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six.out {
    -webkit-animation: quickScaleDown 0s .5s linear forwards;
    animation: quickScaleDown 0s .5s linear forwards;
}

#modal-container.six.out .modal-background {
    -webkit-animation: fadeOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: fadeOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six.out .modal-background .modal {
    -webkit-animation: modalFadeOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: modalFadeOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six.out .modal-background .modal h2,
#modal-container.six.out .modal-background .modal p {
    -webkit-animation: modalContentFadeOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: modalContentFadeOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

#modal-container.six.out .modal-background .modal .modal-svg rect {
    -webkit-animation: sketchOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
    animation: sketchOut 0.5s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}


@-webkit-keyframes unfoldIn {
    0% {
        -webkit-transform: scaleY(0.005) scaleX(0);
        transform: scaleY(0.005) scaleX(0);
    }

    50% {
        -webkit-transform: scaleY(0.005) scaleX(1);
        transform: scaleY(0.005) scaleX(1);
    }

    100% {
        -webkit-transform: scaleY(1) scaleX(1);
        transform: scaleY(1) scaleX(1);
    }
}

@keyframes unfoldIn {
    0% {
        -webkit-transform: scaleY(0.005) scaleX(0);
        transform: scaleY(0.005) scaleX(0);
    }

    50% {
        -webkit-transform: scaleY(0.005) scaleX(1);
        transform: scaleY(0.005) scaleX(1);
    }

    100% {
        -webkit-transform: scaleY(1) scaleX(1);
        transform: scaleY(1) scaleX(1);
    }
}

@-webkit-keyframes unfoldOut {
    0% {
        -webkit-transform: scaleY(1) scaleX(1);
        transform: scaleY(1) scaleX(1);
    }

    50% {
        -webkit-transform: scaleY(0.005) scaleX(1);
        transform: scaleY(0.005) scaleX(1);
    }

    100% {
        -webkit-transform: scaleY(0.005) scaleX(0);
        transform: scaleY(0.005) scaleX(0);
    }
}

@keyframes unfoldOut {
    0% {
        -webkit-transform: scaleY(1) scaleX(1);
        transform: scaleY(1) scaleX(1);
    }

    50% {
        -webkit-transform: scaleY(0.005) scaleX(1);
        transform: scaleY(0.005) scaleX(1);
    }

    100% {
        -webkit-transform: scaleY(0.005) scaleX(0);
        transform: scaleY(0.005) scaleX(0);
    }
}

@-webkit-keyframes zoomIn {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes zoomIn {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@-webkit-keyframes zoomOut {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@keyframes zoomOut {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@-webkit-keyframes fadeIn {
    0% {
        background: rgba(0, 0, 0, 0);
    }

    100% {
        background: rgba(0, 0, 0, 0.7);
    }
}

@keyframes fadeIn {
    0% {
        background: rgba(0, 0, 0, 0);
    }

    100% {
        background: rgba(0, 0, 0, 0.7);
    }
}

@-webkit-keyframes fadeOut {
    0% {
        background: rgba(0, 0, 0, 0.7);
    }

    100% {
        background: rgba(0, 0, 0, 0);
    }
}

@keyframes fadeOut {
    0% {
        background: rgba(0, 0, 0, 0.7);
    }

    100% {
        background: rgba(0, 0, 0, 0);
    }
}

@-webkit-keyframes scaleUp {
    0% {
        -webkit-transform: scale(0.8) translateY(1000px);
        transform: scale(0.8) translateY(1000px);
        opacity: 0;
    }

    100% {
        -webkit-transform: scale(1) translateY(0px);
        transform: scale(1) translateY(0px);
        opacity: 1;
    }
}

@keyframes scaleUp {
    0% {
        -webkit-transform: scale(0.8) translateY(1000px);
        transform: scale(0.8) translateY(1000px);
        opacity: 0;
    }

    100% {
        -webkit-transform: scale(1) translateY(0px);
        transform: scale(1) translateY(0px);
        opacity: 1;
    }
}

@-webkit-keyframes scaleDown {
    0% {
        -webkit-transform: scale(1) translateY(0px);
        transform: scale(1) translateY(0px);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0.8) translateY(1000px);
        transform: scale(0.8) translateY(1000px);
        opacity: 0;
    }
}

@keyframes scaleDown {
    0% {
        -webkit-transform: scale(1) translateY(0px);
        transform: scale(1) translateY(0px);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0.8) translateY(1000px);
        transform: scale(0.8) translateY(1000px);
        opacity: 0;
    }
}

@-webkit-keyframes scaleBack {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0.85);
        transform: scale(0.85);
    }
}

@keyframes scaleBack {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0.85);
        transform: scale(0.85);
    }
}

@-webkit-keyframes scaleForward {
    0% {
        -webkit-transform: scale(0.85);
        transform: scale(0.85);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes scaleForward {
    0% {
        -webkit-transform: scale(0.85);
        transform: scale(0.85);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@-webkit-keyframes quickScaleDown {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    99.9% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@keyframes quickScaleDown {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    99.9% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@-webkit-keyframes slideUpLarge {
    0% {
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }

    100% {
        -webkit-transform: translateY(-100%);
        transform: translateY(-100%);
    }
}

@keyframes slideUpLarge {
    0% {
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }

    100% {
        -webkit-transform: translateY(-100%);
        transform: translateY(-100%);
    }
}

@-webkit-keyframes slideDownLarge {
    0% {
        -webkit-transform: translateY(-100%);
        transform: translateY(-100%);
    }

    100% {
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

@keyframes slideDownLarge {
    0% {
        -webkit-transform: translateY(-100%);
        transform: translateY(-100%);
    }

    100% {
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

@-webkit-keyframes moveUp {
    0% {
        -webkit-transform: translateY(150px);
        transform: translateY(150px);
    }

    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}

@keyframes moveUp {
    0% {
        -webkit-transform: translateY(150px);
        transform: translateY(150px);
    }

    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}

@-webkit-keyframes moveDown {
    0% {
        -webkit-transform: translateY(0px);
        transform: translateY(0px);
    }

    100% {
        -webkit-transform: translateY(150px);
        transform: translateY(150px);
    }
}

@keyframes moveDown {
    0% {
        -webkit-transform: translateY(0px);
        transform: translateY(0px);
    }

    100% {
        -webkit-transform: translateY(150px);
        transform: translateY(150px);
    }
}

@-webkit-keyframes blowUpContent {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    99.9% {
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@keyframes blowUpContent {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    99.9% {
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@-webkit-keyframes blowUpContentTwo {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes blowUpContentTwo {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2);
        opacity: 0;
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }
}

@-webkit-keyframes blowUpModal {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes blowUpModal {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@-webkit-keyframes blowUpModalTwo {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
        opacity: 0;
    }
}

@keyframes blowUpModalTwo {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
        opacity: 0;
    }
}

@-webkit-keyframes roadRunnerIn {
    0% {
        -webkit-transform: translateX(-1500px) skewX(30deg) scaleX(1.3);
        transform: translateX(-1500px) skewX(30deg) scaleX(1.3);
    }

    70% {
        -webkit-transform: translateX(30px) skewX(0deg) scaleX(0.9);
        transform: translateX(30px) skewX(0deg) scaleX(0.9);
    }

    100% {
        -webkit-transform: translateX(0px) skewX(0deg) scaleX(1);
        transform: translateX(0px) skewX(0deg) scaleX(1);
    }
}

@keyframes roadRunnerIn {
    0% {
        -webkit-transform: translateX(-1500px) skewX(30deg) scaleX(1.3);
        transform: translateX(-1500px) skewX(30deg) scaleX(1.3);
    }

    70% {
        -webkit-transform: translateX(30px) skewX(0deg) scaleX(0.9);
        transform: translateX(30px) skewX(0deg) scaleX(0.9);
    }

    100% {
        -webkit-transform: translateX(0px) skewX(0deg) scaleX(1);
        transform: translateX(0px) skewX(0deg) scaleX(1);
    }
}

@-webkit-keyframes roadRunnerOut {
    0% {
        -webkit-transform: translateX(0px) skewX(0deg) scaleX(1);
        transform: translateX(0px) skewX(0deg) scaleX(1);
    }

    30% {
        -webkit-transform: translateX(-30px) skewX(-5deg) scaleX(0.9);
        transform: translateX(-30px) skewX(-5deg) scaleX(0.9);
    }

    100% {
        -webkit-transform: translateX(1500px) skewX(30deg) scaleX(1.3);
        transform: translateX(1500px) skewX(30deg) scaleX(1.3);
    }
}

@keyframes roadRunnerOut {
    0% {
        -webkit-transform: translateX(0px) skewX(0deg) scaleX(1);
        transform: translateX(0px) skewX(0deg) scaleX(1);
    }

    30% {
        -webkit-transform: translateX(-30px) skewX(-5deg) scaleX(0.9);
        transform: translateX(-30px) skewX(-5deg) scaleX(0.9);
    }

    100% {
        -webkit-transform: translateX(1500px) skewX(30deg) scaleX(1.3);
        transform: translateX(1500px) skewX(30deg) scaleX(1.3);
    }
}

@-webkit-keyframes sketchIn {
    0% {
        stroke-dashoffset: 778;
    }

    100% {
        stroke-dashoffset: 0;
    }
}

@keyframes sketchIn {
    0% {
        stroke-dashoffset: 778;
    }

    100% {
        stroke-dashoffset: 0;
    }
}

@-webkit-keyframes sketchOut {
    0% {
        stroke-dashoffset: 0;
    }

    100% {
        stroke-dashoffset: 778;
    }
}

@keyframes sketchOut {
    0% {
        stroke-dashoffset: 0;
    }

    100% {
        stroke-dashoffset: 778;
    }
}

@-webkit-keyframes modalFadeIn {
    0% {
        background-color: transparent;
    }

    100% {
        background-color: white;
    }
}

@keyframes modalFadeIn {
    0% {
        background-color: transparent;
    }

    100% {
        background-color: white;
    }
}

@-webkit-keyframes modalFadeOut {
    0% {
        background-color: white;
    }

    100% {
        background-color: transparent;
    }
}

@keyframes modalFadeOut {
    0% {
        background-color: white;
    }

    100% {
        background-color: transparent;
    }
}

@-webkit-keyframes modalContentFadeIn {
    0% {
        opacity: 0;
        top: -20px;
    }

    100% {
        opacity: 1;
        top: 0;
    }
}

@keyframes modalContentFadeIn {
    0% {
        opacity: 0;
        top: -20px;
    }

    100% {
        opacity: 1;
        top: 0;
    }
}

@-webkit-keyframes modalContentFadeOut {
    0% {
        opacity: 1;
        top: 0px;
    }

    100% {
        opacity: 0;
        top: -20px;
    }
}

@keyframes modalContentFadeOut {
    0% {
        opacity: 1;
        top: 0px;
    }

    100% {
        opacity: 0;
        top: -20px;
    }
}

@-webkit-keyframes bondJamesBond {
    0% {
        -webkit-transform: translateX(1000px);
        transform: translateX(1000px);
    }

    80% {
        -webkit-transform: translateX(0px);
        transform: translateX(0px);
        border-radius: 75px;
        height: 75px;
        width: 75px;
    }

    90% {
        border-radius: 3px;
        height: 182px;
        width: 247px;
    }

    100% {
        border-radius: 3px;
        height: 162px;
        width: 227px;
    }
}

@keyframes bondJamesBond {
    0% {
        -webkit-transform: translateX(1000px);
        transform: translateX(1000px);
    }

    80% {
        -webkit-transform: translateX(0px);
        transform: translateX(0px);
        border-radius: 75px;
        height: 75px;
        width: 75px;
    }

    90% {
        border-radius: 3px;
        height: 182px;
        width: 247px;
    }

    100% {
        border-radius: 3px;
        height: 162px;
        width: 227px;
    }
}

@-webkit-keyframes killShot {
    0% {
        -webkit-transform: translateY(0) rotate(0deg);
        transform: translateY(0) rotate(0deg);
        opacity: 1;
    }

    100% {
        -webkit-transform: translateY(300px) rotate(45deg);
        transform: translateY(300px) rotate(45deg);
        opacity: 0;
    }
}

@keyframes killShot {
    0% {
        -webkit-transform: translateY(0) rotate(0deg);
        transform: translateY(0) rotate(0deg);
        opacity: 1;
    }

    100% {
        -webkit-transform: translateY(300px) rotate(45deg);
        transform: translateY(300px) rotate(45deg);
        opacity: 0;
    }
}

@-webkit-keyframes fadeToRed {
    0% {
        -webkit-box-shadow: inset 0 0 0 rgba(201, 24, 24, 0.8);
        box-shadow: inset 0 0 0 rgba(201, 24, 24, 0.8);
    }

    100% {
        -webkit-box-shadow: inset 0 2000px 0 rgba(201, 24, 24, 0.8);
        box-shadow: inset 0 2000px 0 rgba(201, 24, 24, 0.8);
    }
}

@keyframes fadeToRed {
    0% {
        -webkit-box-shadow: inset 0 0 0 rgba(201, 24, 24, 0.8);
        box-shadow: inset 0 0 0 rgba(201, 24, 24, 0.8);
    }

    100% {
        -webkit-box-shadow: inset 0 2000px 0 rgba(201, 24, 24, 0.8);
        box-shadow: inset 0 2000px 0 rgba(201, 24, 24, 0.8);
    }
}

@-webkit-keyframes slowFade {
    0% {
        opacity: 1;
    }

    99.9% {
        opacity: 0;
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@keyframes slowFade {
    0% {
        opacity: 1;
    }

    99.9% {
        opacity: 0;
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@keyframes myfirst1 {
    0% {
        transform: scale(1.03);
    }

    100% {
        transform: scale(1);
    }
}

/* Standard syntax */
@keyframes myfirst {
    0% {
        transform: scale(1.03) skewX(-17deg);
    }

    100% {
        transform: scale(1) skewX(-17deg);
    }
}

/* popup */

.width-auto{
    .select-items{
        width: auto !important;
    }
}
.custom-selectag-2 {
    width: 100%;
    position: relative;
    font-family: $header-font;
    label {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 10px;
        font-family: $roboto-font;
        font-style: normal;
        font-weight: normal;
        font-size: 12px;
        line-height: 17px;
        transition: 0.2s all;
        cursor: text;
        z-index: 99;
    }
    .tranf{
        top: 13px !important;
    }
    select {
        display: none;
    }
    .select-selected {
        display: flex;
        align-items: flex-end;
        height: 48px;
        padding: 4px 47px 4px 10px !important;
        font-style: normal;
        font-weight: normal;
        font-family: $roboto-font;
        font-size: 14px;
        line-height: 22px;
        color: black;
        background: #F9FAFB;
        /* border */
        border: 1px solid #E9E9E9 !important;
        box-sizing: border-box;
        border-radius: 3px;
        position: relative;
        &::before{
            position: absolute;
            content: '';
            top: 10px;
            bottom: 10px;
            width: 1px;
            right: 45px;;
            background-color: #C4C4C4;
        }
        &:after {
            position: absolute;
            content: "\f0d7";
            top: 33%;
            transform: translateY(-50%);
            right: 30px;
            width: 0;
            height: 0;
            font-size: 18px;
            font-family: 'FontAwesome';
            color:$content-color-default;
          }
    }
    .select-selected.select-arrow-active:after {
        content: "\f0d8";
    }
    .select-items div,.select-selected {
        color: $text-color;
        font-size: 14px;
        padding: 3px 16px;
        border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
        cursor: pointer;
        user-select: none;
        white-space: nowrap;
    }
    .select-items {
        width: 100%;
        position: absolute;
        background: #F6F6F6;
        box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.30432);
        border-radius: 7px;
        padding: 8px 0;
        top: 115%;
        min-width: 150px;
        left: auto;
        right: 0;
        z-index: 99;
    }
    .select-hide {
        display: none;
    }
      
    .select-items div:hover, .same-as-selected {
        color: $main-color;
    }
}
.custom-check {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 0;
    font-family: Roboto;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;/* identical to box height */
    cursor: pointer;
    color: $text-color;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    input {
        position: absolute;
        opacity: 0;
        cursor: pointer;

        &:checked~.checkmark {
            border-color: #B9256A;

            &:after {
                background: #B9256A;
            }
        }

        &:checked~.checkmark:after {
            display: block;
        }
        &:checked~span{
            color: #B9256A;
        }
    }

    /* Create a custom radio button */
    .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 16px;
        width: 16px;
        background-color: transparent;
        border-radius: 50%;
        border: 1px solid $content-color-default;
        box-sizing: border-box;
        box-shadow: 0px 1px 0px rgba(22, 29, 37, 0.05);

        &:after {
            content: "";
            position: absolute;
            display: none;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 8px;
            height: 8px;
            border-radius: 50%;
            background: transparent;
        }
    }

    &:hover input~.checkmark {
        // background-color: transparent;
    }
}
  /*hide the items when the select box is closed:*/

/* RESPONSIVE */
// @media (min-width: 1200px){
//     .container {
//         max-width: 1240px;
//     }
//     .block-pay-page .block-payment-info .wrap-box{
//         max-width: 610px;
//     }
//     .block-pay-page .block-payment-cart .wrap-box{
//         max-width: 400px;
//     }
// }

@media (max-width: 1200px) and (min-width: 992px){
    .product-item{
        .thumb-product{
            .product-status{
                top: 7px !important;
                left: 7px !important;
                .status-item{
                    padding: 3px 10px !important;
                    font-size: 13px !important;
                }
            }
            .product-like{
                top: 5px !important;
                right: 5px !important;
            }
        }
        .product-content{
            padding: 10px !important;
            .name{
                margin: 0;
                a{
                    font-size: 14px !important;
                }
            }
            .rating{
                margin-bottom: 0 !important;
            }
            .price-new
            {
                font-size: 13px !important;
            }
            .price-old{
                font-size: 10px !important;
            }
            .action{
                .btn-addcart{
                    font-size: 13px !important;
                }
            }
        }
    }
}

@media (max-width: 1440px){
    .owl-carousel{
        .owl-nav{
            .owl-prev{
                left: 0;
            }
            .owl-next{
                right: 0;
            }
        }
    }
}
@media (max-width: 1200px){
    .block-blog-page{
        .block-list-blog{
            .blog-item{
                .name-blog{
                    a{
                        font-size: 25px;
                    }
                }
            }
        }
    }
    .block-footer{
        .widget-footer{
            .social{
                display: block;
            }
            h5{
                font-size: 14px;
            }
        }
    }
}
@media (max-width: 992px){
    .block-address-page{
        .elm-address{
            .user-address{
                .user-address-item{
                    margin-bottom: 25px;
                }
            }
        }
    }
    .block-pay-page{
        .block-payment-cart,
        .block-payment-info{
            width: 50%;
        }
    }
    .block-header-sale {
        padding: 5px 0;
        p{
           font-size: 12px; 
        }
    }
    .owl-carousel{
        .owl-nav{
            .owl-prev{
                left: 0;
            }
            .owl-next{
                right: 0;
            }
        }
    }
}

@media (max-width: 768px) {
    .block-contact-page {
        .contact-section {
            grid-template-columns: auto auto;
            .contact-item{
                p{
                    span{
                        display: block;
                    }
                }
            }
        }
    }
    .block-footer{
        .top-ft{
            .ft-main{
                grid-template-columns: auto auto;
                .widget-footer{
                    margin-bottom: 30px;
                    h5{
                        margin-bottom: 15px;
                    }
                    a{
                        margin-bottom: 10px;
                    }
                }
            }
        }
    }
    .block-pay-page{
        display: block;
        .block-payment-cart,
        .block-payment-info{
            width: 100%;
        }
    }
    .block-user-login{
        .user-login {
            min-height: auto;
            padding: 40px 0;
            display: block;
            .block-right{
                width: auto;
            }
            .block-left{
                width: auto;
            }
            &::before{
                display: none;
            }
        }
    }
    .open-sidemenu{
        display: block;
    }
    .block-header-menu{
        .block-header-logo{
            margin-right: auto;
            padding: 10px 0;
            img{
                max-height: 30px !important;
            }
        }
    }
    // 
    .block-blog{
        .blog-item{
            display: block;
            .thumb{
                margin-bottom: 15px;
            }
        }
    }
    .block-about-page {
        .about-content{
            .intro-main{
                width: 100%;
            }
            .tripple-target {
                grid-template-columns: 100%;
                font-size: 13px;
                h5{
                    font-size: 16px;
                }
            }
        }
    }
    .block-footer .top-ft .ft-main .ft-item .widget-footer .contact-item span {
        float: left;
        display: block;
        width: 15%;
        color: black;
        line-height: 30px;
    }
    .block-terms-page .about-content .tripple-target .target-item, .block-about-page .about-content .tripple-target .target-item {
        padding: 25px;
    }
    .block-footer {
        .widget-footer {
            margin-bottom: 30px;
            h5 {
                margin-bottom: 15px;
            }
            a {
                margin-bottom: 10px;
            }
        }
    }
    .block-header-menu {
        .main-menu {
            position: fixed;
            top: 0;
            left: 0;
            bottom: 0;
            width: 200px;
            padding: 60px 0;
            background: url('../images/common/logo.png') white;
            background-position: center 10px;
            background-repeat: no-repeat;
            background-size: 100px;
            z-index: 1030;
            transform: translateX(-100%);
            transition: all 0.25s;
            ul {
                margin: 0;
                padding: 0;
                list-style: none;
                display: block;
                width: 100%;
                li {
                    position: relative;
                    margin-right: 0;
                    width: 100%;
                    display: block;
                    a {
                        display: block;
                        padding: 5px 10px;
                        text-decoration: none;
                        font-family: $header-font;
                        color: $text-color;
                        font-size: 15px;
                        box-shadow: inset 0px 1px 0px #EEEEEE;
                        transition: all 0.25s;
                        &:hover {
                            color: $main-color;
                            transition: all 0.25s;
                        }
                    }
                    svg {
                        position: absolute;
                        top: 0;
                        right: 10px;
                        width: 10px;
                        height: 33px;
                        cursor: pointer;
                        z-index: 1040;
                        transition: all 0.25s;
                        path {
                            fill: $main-color;
                        }
                    }
                    .rotate {
                        transform: rotate(180deg);
                        transition: all 0.25s;
                    }
                    .sub-menu {
                        width: 100%;
                        font-size: 14px;
                        padding-left: 10px;
                        position: static;
                        overflow: hidden;
                        box-shadow: none !important;
                        transition: max-height 0.2s ease-out;
                        li {
                            a {
                                box-shadow: none;
                                font-size: 13px;
                            }
                        }
                        ul {
                            display: none;
                            overflow: hidden;
                            position: static !important;
                            width: 100% !important;
                            box-shadow: none !important;
                            transition: max-height 0.2s ease-out;
                            padding-left: 10px;
                            li {
                                a {
                                    font-size: 12px;
                                }
                            }
                        }
                    }
                    &:first-child {
                        a {
                            box-shadow: none;
                        }
                    }
                }
            }
        }
        .menu-mobile {
            transform: translateX(0) !important;
            transition: all 0.25s;
        }
    }
}
@media (max-width: 576px){
    .block-footer{
        .top-ft{
            .ft-main{
                grid-template-columns: 100%;
            }
        }
    }
    .block-address-page{
        .elm-address{
            .user-address{
                .form-payment{
                    .form-group{
                        display: block;
                        .custom-selectag-2,
                        .input-item{
                            width: 100%;
                            margin-bottom: 15px;
                        }
                        
                    }
                }
            }
        }
    }
}
@media (max-width: 480px){
    .block-comment{
        .comment-list{
            .comment-item{
                display: block;
                .user-avatar{
                    margin-bottom: 20px;
                    margin-right: 0;
                    .thumb{
                        margin-left: auto;
                        margin-right: auto;
                    }
                }
                .comment-content::before{
                    top: -11px;
                    left: 47%;
                    transform: rotate(45deg);
                }
            }
        }
        .block-form-rating{
            .form-group-rating{
                margin-bottom: 5px;
                .title{
                    margin-right: 5px;
                    font-size: 13px;
                }
            }
        }
    }
    .block-blog-page{
        .block-list-blog{
            .blog-item{
                .name-blog{
                    a{
                        font-size: 18px;
                    }
                }
            }
        }
    }
    .block-address-page{
        .header-address{
            display: block;
        }
    }
    .block-contact-page{
        .title-block{
            font-size: 20px;
            margin-bottom: 20px;
        }
        .form-feedback{
            .form-group{
                display: block;
                .form-control{
                    margin-bottom: 16px;
                    height: 36px;;
                }
            }
        }
        .block-maps{
            margin-top: 30px;
        }
    }
    .block-user-login{
        .user-login{
            .block-left{
                h1{
                    font-size: 24px;
                    line-height: 27px;
                }
            }
        }
    }
    .block-header-sale {
        p{
           font-size: 8px; 
        }
    }
    .block-header-menu {
        top: 22px;
    }
    .block-footer{
        .widget-footer{
            margin-bottom: 15px;
            .contact-item{
                margin: 0;
                span{
                    font-size: 13px;
                    line-height: 19px;
                }
                a{
                    font-size: 13px;
                    line-height: 19px;
                }
            }
            h5{
                font-size: 18px;
                margin-bottom: 15px;
            }
            ul{
                li{
                    a{
                        margin-bottom: 5px;
                        font-size: 13px;
                    }
                }
            }
            span{
                font-size: 13px;
            }
        }
        .copy-right{
            margin-top: 0;
            padding: 5px 0;
            font-size: 13px;
        }
    }
    .block-favorite, .block-product{
        padding-top: 35px;
        .block-head {
            margin-bottom: 22px;
        }
    }

    // Product page
    .block-pages-productdetail{
        .block-detail {
            .product-name{
                font-size: 24px;
                margin-bottom: 0;
            }
            .block-custom-change{
                .form-action{
                    display: block;
                    text-align: center;
                    .btn{
                        margin-top: 15px;
                    }
                }
            }
        }
        .block-description{
            .tab-content{
                // .block-comment{
                //     .comment-list{
                //         .comment-item{
                //             display: block;
                //             .user-avatar{
                //                 margin-bottom: 20px;
                //                 margin-right: 0;
                //                 .thumb{
                //                     margin-left: auto;
                //                     margin-right: auto;
                //                 }
                //             }
                //             .comment-content::before{
                //                 top: -11px;
                //                 left: 47%;
                //                 transform: rotate(45deg);
                //             }
                //         }
                //     }
                //     .block-form-rating{
                //         .form-group-rating{
                //             margin-bottom: 5px;
                //             .title{
                //                 margin-right: 5px;
                //                 font-size: 13px;
                //             }
                //         }
                //     }
                // }
            }
        }
    }
    .block-related{
        .header-related{
            h2{
                font-size: 18px;
            }
            .swiper-button{
                width: 30px;
                height: 30px;
                line-height: 30px;
                margin-left: 5px;
            }
        }
    }
}
@media (max-width: 320px){
    .user-action{
        display: grid !important;
        grid-template-columns: 100% !important;
    }
    .block-header .header-main #block-action-header .cart {
        position: relative;
        margin-left: 10px !important;
        margin-right: 20px !important;
    }
    .open-sidemenu{
        margin-left: 0;
    }
    .search-sticky{
        transform: translate(42%, -20%) !important;
    }
    .item-group .btn{
        font-size: 11px;
    }
    .block-account-page .block-cart-total .item-group .title-price, .block-cart-page .block-cart-total .item-group .title-price {
        font-size: 13px;
        line-height: 17px;
        color: black;
        margin-right: 5px;
    }
}


.block-header-action {
    // display: none;
    @media only screen and (max-width: 768px) {
        display: flex;
        display: flex;
        position: absolute;
        right: 55px;
    }
    .cart-mobile {
        position: relative;
        margin-right: 15px;
        svg {
            path {
                fill: $content-color;
            }
        }
        span.number {
            position: absolute;
            color: #fff;
            width: 20px;
            height: 20px;
            background: $main-color;
            text-align: center;
            border-radius: 50%;
            font-size: 12px;
            line-height: 20px;
            top: -11px;
            right: -10px;
        }
    }
}

.search-mobile {
    width: 30px;
    width: 30px;
    margin-right: 5px;
    text-align: center;
    position: relative;
    .show-search-mb {
        width: 30px;
        height: 27px;
        display: block;
    }
    .form-group {
        position: absolute;
        top: 35px;
        left: -182px;
        opacity: 0;
        visibility: hidden;
        width: 220px;
        z-index: 999;
        margin-bottom: 0;
        &::after {
            content: '';
            position: absolute;
            width: 11px;
            height: 9px;
            transform: rotate(-64deg) skew(-37deg);
            border-right: 1px solid #ced4da;
            border-top: 1px solid #ced4da;
            background: #fff;
            position: absolute;
            top: -4px;
            right: 17px;
            transition: all 0s;
        }
        &.on {
            opacity: 1;
            visibility: visible;
        }
    }
    .form-control.content-font {
        border-radius: 24px;
    }
    .btn-search {
        position: absolute;
        top: -2px;
        right: 0;
    }
}

.no-scroll {
    overflow: hidden;
}

.block-overlay {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    background-color: transparent;
    transition: all 0.2s;
}

.accodition {
    @media only screen and (max-width: 768px) {
        width: 30px !important;
        right: 0 !important;
        padding: 10px;
        z-index: 9999;
    }
}

.block-search-fixed {
    width: 40%;
    display: flex;
    display: none;
    justify-content: center;
    transition: all 0.4s;
    @media only screen and (max-width: 1300px) {
        width: 30%;
    }
    @media only screen and (max-width: 992px) {
        display: none !important;
    }
    form {
        position: relative;
    }
    svg {
        position: absolute;
        top: 15px;
        left: 18px;
    }
    .form-control {
        min-width: 370px !important;
        width: 100% !important;
        font-size: 14px;
        color: #949494;
        background: #fff;
        border: 1px solid #EBEBEB;
        box-sizing: border-box;
        border-radius: 2px;
        box-shadow: none;
        padding-left: 48px;
        height: 48px;
        margin-right: 0;
        @media only screen and (max-width: 1300px) {
            min-width: 100% !important;
        }
        &::placeholder {
            color: $content-color-default;
            font-family: $content-font;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: normal;
        }
        &:focus {
            border-color: $main-color;
        }
    }
}

.pagination {
    // border: 1px solid #EBEBEB;
    background: #fff;
    border-radius: 2px;
    // padding: 20px 27px 20px;
    margin-bottom: 60px;
    @media only screen and (max-width: 768px) {
        padding: 15px 10px;
        margin-bottom: 40px;
    }
    li {
        margin: 0 8px;
        @media only screen and (max-width: 768px) {
            margin: 0 4px;
        }
        a {
            font-size: 12px;
            color: #3F4755;
            min-height: 24px;
            min-width: 24px;
            display: block;
            background: #F6F6F6;
            border-radius: 2px;
            text-align: center;
            line-height: 24px;
            transition: all 0.3s;
            &:hover {
                color: #fff;
                background: $main-color;
                transition: all 0.3s;
            }
        }
        .active {
            background: $main-color;
            border-radius: 2px;
            color: #fff;
        }
        &.pagi-next {
            min-width: 59px;
        }
        &.pagi-prev {
            min-width: 59px;
        }
    }
}